> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.datalab.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Custom Processor Result Check

> Poll this endpoint to check the status of a Custom Processor request and retrieve the results.



## OpenAPI

````yaml https://www.datalab.to/openapi.json get /api/v1/custom-processor/{request_id}
openapi: 3.1.0
info:
  title: Datalab API
  version: 0.0.1
servers:
  - url: https://www.datalab.to
    description: Datalab API
security: []
paths:
  /api/v1/custom-processor/{request_id}:
    get:
      summary: Custom Processor Result Check
      description: >-
        Poll this endpoint to check the status of a Custom Processor request and
        retrieve the results.
      operationId: result_response_api_v1_custom_processor__request_id__get
      parameters:
        - name: request_id
          in: path
          required: true
          schema:
            type: string
            title: Request Id
        - name: wos-session
          in: cookie
          required: false
          schema:
            type: string
            title: Wos-Session
        - name: datalab_active_team
          in: cookie
          required: false
          schema:
            type: string
            title: Datalab Active Team
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MarkerFinalResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    MarkerFinalResponse:
      properties:
        status:
          type: string
          title: Status
          description: >-
            The status of the request. Should be 'complete' when the request is
            done.
        result_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Result Url
          description: >-
            Signed URL for downloading the completed result JSON when direct
            result download is required.
        expires_in:
          anyOf:
            - type: integer
            - type: 'null'
          title: Expires In
          description: Number of seconds until result_url expires.
        output_format:
          type: string
          title: Output Format
          description: The format of the output.  'markdown' or 'json'.
        chunks:
          anyOf:
            - additionalProperties: true
              type: object
            - type: string
            - type: 'null'
          title: Chunks
          description: >-
            The output in chunks format.  The top-level key 'blocks' contains a
            list of blocks from the document with metadata.
        json:
          anyOf:
            - additionalProperties: true
              type: object
            - type: string
            - type: 'null'
          title: Json
          description: The JSON representation of the PDF if the output format is 'json'.
        markdown:
          anyOf:
            - type: string
            - type: 'null'
          title: Markdown
          description: >-
            The markdown representation of the PDF if the output format is
            'markdown'.
        html:
          anyOf:
            - type: string
            - type: 'null'
          title: Html
          description: The HTML representation of the PDF if the output format is 'html'.
        extraction_schema_json:
          anyOf:
            - type: string
            - type: 'null'
          title: Extraction Schema Json
          description: >-
            The output of a marker extraction request containing the filled in
            extraction schema.
        extraction_score_average:
          anyOf:
            - type: number
            - type: 'null'
          title: Extraction Score Average
          description: >-
            Average confidence score (1-5) across all extracted fields, when
            scoring is applied.
        extraction_mode:
          anyOf:
            - type: string
            - type: 'null'
          title: Extraction Mode
          description: 'The extraction mode used for this request: ''fast'' or ''balanced''.'
        segmentation_results:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Segmentation Results
          description: >-
            Results of document segmentation showing page ranges for each
            identified segment. Contains segment names, page ranges, and
            confidence levels (high/medium/low).
        images:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Images
          description: >-
            A dictionary of the images in the PDF, where the key is the filename
            for the image, and the value is the base64 encoded image.  Images
            should be stored in the same directory as the PDF.
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata
          description: A dictionary of metadata about the PDF and the conversion process.
        success:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Success
          description: Whether the conversion was successful.
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: >-
            If the conversion was not successful, this will contain an error
            message.
        parse_quality_score:
          anyOf:
            - type: number
            - type: 'null'
          title: Parse Quality Score
          description: The parse quality score of the output, if available.
        page_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Page Count
          description: The number of pages that were converted.
        total_cost:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Cost
          description: The total cost of the conversion.
          deprecated: true
        cost_breakdown:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Cost Breakdown
          description: >-
            A dictionary of the cost breakdown of this request. Includes the
            list cost without discounts and final cost to clients after any
            discounts (e.g. for opting into model training).
        runtime:
          anyOf:
            - type: number
            - type: 'null'
          title: Runtime
          description: The runtime of the conversion.
        checkpoint_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Checkpoint Id
          description: >-
            The ID of the checkpoint that was created for this conversion.  This
            can be used to retrieve the checkpoint later.
        versions:
          anyOf:
            - additionalProperties: true
              type: object
            - type: string
            - type: 'null'
          title: Versions
          description: A dictionary of the versions of the libraries used in the request.
        evaluation:
          anyOf:
            - $ref: '#/components/schemas/EvaluationResults'
            - type: 'null'
          description: >-
            Evaluation results, when available, for requests that run
            evaluation. Contains per-rule scores for validating custom pipeline
            behavior.
      type: object
      required:
        - status
      title: MarkerFinalResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EvaluationResults:
      properties:
        eval_definition_name:
          type: string
          title: Eval Definition Name
          description: Name of the evaluation definition
        evaluations:
          items:
            $ref: '#/components/schemas/EvaluationRuleSummary'
          type: array
          title: Evaluations
          description: Per-rule evaluation summaries
        total_items_evaluated:
          type: integer
          title: Total Items Evaluated
          description: Total number of items evaluated across all rules
      type: object
      required:
        - eval_definition_name
        - evaluations
        - total_items_evaluated
      title: EvaluationResults
      description: Container for evaluation results.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    EvaluationRuleSummary:
      properties:
        name:
          type: string
          title: Name
          description: Name of the evaluation rule
        type:
          type: string
          title: Type
          description: 'Type of evaluation: block, page, or document'
        rule_score:
          type: number
          title: Rule Score
          description: Aggregated score for this rule (0-5)
        items_evaluated:
          type: integer
          title: Items Evaluated
          description: Number of items evaluated
        individual_results:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Individual Results
          description: >-
            Bottom-k lowest scoring individual results with score, feedback,
            block_id, page_id, block_type
      type: object
      required:
        - name
        - type
        - rule_score
        - items_evaluated
      title: EvaluationRuleSummary
      description: Summary of a single evaluation rule result.
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````